# MatGetLocalMat

Creates a SeqAIJ matrix by taking all its local rows

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatGetLocalMat(Mat A,MatReuse scall,Mat *A_loc)

Not Collective

### Input Parameters

| A | - the matrix
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX

### Output Parameter

| A_loc | - the local sequential matrix generated

Level:developer
Location: src/mat/impls/aij/mpi/mpiaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages